@Version("1.0.0")

# Package org.apache.sling.thumbnails

Support for file thumbnail generation and transformation

Since:
  1.0.0

Interface Summary
RenderedResource: A model interface for getting the renditions for a resource.
RenditionSupport: Service for interacting with renditions
ThumbnailSupport: Supports configuring which resource types should be supported as files for thumbnail generation.
Transformation: Model representing a transformation, a series of handlers
TransformationHandlerConfig: A configuration for an instance of a Transformation Handler.
Transformer: Transforms a resource using the registered TransformationHandlers to invoke transformations on the file.

Enum Summary
OutputFileFormat: Enumeration of the valid output formats for the thumbnail generator.

Exception Summary
BadRequestException: Exception to indicate that the request provided is invalid